Subject: content-type

From: Axel Reinhold <[email-masked]>
Date: Tue, 14 May 2002 13:27:00 +0200 (MET DST)

Hi,

in some mails ccleint return the wrong content-type. Here's the
headers of a mail which is returned as TEXT/PLAIN but is TEXT/HTML:

To: [email-masked]
Subject: gp
From: [email-masked]
Sender: [email-masked]
Date: Tue, 14 May 2002 03:00:00 +0100 (WEST)

Cheers
Axel

-- 
|-----------------------+---------------------------------------|
| /ARX cleanware        | Fon:   +49-9287-87446                 |
| Axel Reinhold         | Fax:   +49-9287-8244                  |
| Franz-Heinrich-Str.20 | eMail: [email-masked]               |
| 95100 Selb            | http://www.freakout.de                |
| Germany          | Please do not send more than 100 kilobytes |
|------------------+--------------------------------------------|
| Fingerprint: 8D EF 9F 22 DF 9A 9B 68  E5 8C 12 C7 8D 6A 97 4E |
|---------------------------------------------------------------|

---

From: Mark Crispin <[email-masked]>
Date: Tue, 14 May 2002 06:41:11 -0700 (PDT)

This is not a bug.

The message you gave is not MIME.  It's in the older multi-media mail format,
obsolete for a decade now, which also used a header called Content-Type.  MIME
messages have a MIME-Version header.

c-client does not support that old format, but it recognizes it enough to know
that any Content-Type header in that old format is not MIME and should be
disregarded.

Even if a MIME-Version header was there,
	Content-Type: text/html;
is syntactically invalid.

-- Mark --

On Tue, 14 May 2002 13:27:00 +0200 (MET DST), Axel Reinhold wrote:
> Received: by tux.jnoticias.pt (Postfix, from userid 0)
> 	id C4AFE908D3; Tue, 14 May 2002 03:00:00 +0100 (WEST)
> Content-Type: text/html;
> Message-Id: <[email-masked]>

---

From: Mark Elvers <[email-masked]>
Date: Tue, 14 May 2002 14:47:37 +0100 (BST)

Axel, This kind of message is malformed.  I had a similar question back in
March, basically c-client ignores the Content-Type: without a
Mime-Version: tag.  The Mime-Version tag on its own is an older standard
of header in which a type of text/html was not valid...

If you look back in the archives of c-client from March 9 this year the
original subject line was 'Mail header problem'

--mte